Package org.apache.felix.gogo.runtime

# Enum Tokenizer.Type

java.lang.Object
java.lang.Enum<Tokenizer.Type>
org.apache.felix.gogo.runtime.Tokenizer.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Tokenizer.Type>`, `java.lang.constant.Constable`

Enclosing class:
  `Tokenizer`

public static enum Tokenizer.Type extends Enum<Tokenizer.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ARRAY`
`ASSIGN`
`CLOSURE`
`EOT`
`EXECUTION`
`EXPR`
`NEWLINE`
`PIPE`
`SEMICOLON`
`WORD`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Tokenizer.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Tokenizer.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ASSIGN

public static final Tokenizer.Type ASSIGN

### PIPE

public static final Tokenizer.Type PIPE

### SEMICOLON

public static final Tokenizer.Type SEMICOLON

### NEWLINE

public static final Tokenizer.Type NEWLINE

### ARRAY

public static final Tokenizer.Type ARRAY

### CLOSURE

public static final Tokenizer.Type CLOSURE

### EXPR

public static final Tokenizer.Type EXPR

### EXECUTION

public static final Tokenizer.Type EXECUTION

### WORD

public static final Tokenizer.Type WORD

### EOT

public static final Tokenizer.Type EOT

## Method Details

### values

public static Tokenizer.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Tokenizer.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Tokenizer.Type>`